# Uses of Class
org.mariadb.jdbc.MariaDbConnection

Packages that use MariaDbConnection
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.failover.impl
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util.dao
org.mariadb.jdbc.internal.util.exceptions
org.mariadb.jdbc.internal.util.pool

## Uses of MariaDbConnection in org.mariadb.jdbc

Fields in org.mariadb.jdbc declared as MariaDbConnection
Modifier and Type
Field
Description
`protected MariaDbConnection`
MariaDbStatement.`connection`
the Connection object.
Methods in org.mariadb.jdbc that return MariaDbConnection
Modifier and Type
Method
Description
`MariaDbConnection`
MariaDbPooledConnection.`getConnection()`
Creates and returns a `Connection` object that is a handle for the physical connection that this `PooledConnection` object represents.
`MariaDbConnection`
MariaDbStatement.`getConnection()`
Gets the connection that created this statement.
`static MariaDbConnection`
MariaDbConnection.`newConnection(UrlParser urlParser, GlobalStateInfo globalInfo)`
Create new connection Object.
Methods in org.mariadb.jdbc with parameters of type MariaDbConnection
Modifier and Type
Method
Description
`BasePrepareStatement`
BasePrepareStatement.`clone(MariaDbConnection connection)`
Clone cached object.
`CallableFunctionStatement`
CallableFunctionStatement.`clone(MariaDbConnection connection)`
Clone data.
`CallableProcedureStatement`
CallableProcedureStatement.`clone(MariaDbConnection connection)`
Clone data.
`ClientSidePreparedStatement`
ClientSidePreparedStatement.`clone(MariaDbConnection connection)`
Clone statement.
`MariaDbFunctionStatement`
MariaDbFunctionStatement.`clone(MariaDbConnection connection)`
Clone statement.
`MariaDbProcedureStatement`
MariaDbProcedureStatement.`clone(MariaDbConnection connection)`
Clone statement.
`MariaDbStatement`
MariaDbStatement.`clone(MariaDbConnection connection)`
Clone statement.
`ServerSidePreparedStatement`
ServerSidePreparedStatement.`clone(MariaDbConnection connection)`
Clone statement.
Constructors in org.mariadb.jdbc with parameters of type MariaDbConnection
Modifier
Constructor
Description
``
`BasePrepareStatement(MariaDbConnection connection, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, ExceptionFactory exceptionFactory)`
Constructor.
``
`CallableFunctionStatement(MariaDbConnection connection, String sql, int resultSetType, int resultSetConcurrency, ExceptionFactory exceptionFactory, String databaseName, String functionName)`
Constructor for getter/setter of callableStatement.
``
`CallableProcedureStatement(MariaDbConnection connection, String sql, int resultSetScrollType, int resultSetConcurrency, ExceptionFactory exceptionFactory, String database, String procedureName)`
Constructor for getter/setter of callableStatement.
``
`ClientSidePreparedStatement(MariaDbConnection connection, String sql, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, ExceptionFactory exceptionFactory)`
Constructor.
``
`MariaDbFunctionStatement(MariaDbConnection connection, String databaseName, String functionName, String arguments, int resultSetType, int resultSetConcurrency, ExceptionFactory exceptionFactory)`
Specific implementation of CallableStatement to handle function call, represent by call like {?= call procedure-name[(arg1,arg2, ...)]}.
``
`MariaDbPooledConnection(MariaDbConnection connection)`
Constructor.
``
`MariaDbProcedureStatement(String query, MariaDbConnection connection, String procedureName, String database, int resultSetType, int resultSetConcurrency, ExceptionFactory exceptionFactory)`
Specific implementation of CallableStatement to handle function call, represent by call like {?= call procedure-name[(arg1,arg2, ...)]}.
``
`MariaDbStatement(MariaDbConnection connection, int resultSetScrollType, int resultSetConcurrency, ExceptionFactory exceptionFactory)`
Creates a new Statement.
``
`MariaXaConnection(MariaDbConnection connection)`
``
`MariaXaResource(MariaDbConnection connection)`
``
`ServerSidePreparedStatement(MariaDbConnection connection, String sql, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, ExceptionFactory exceptionFactory, boolean canDelayPrepare)`
Constructor for creating Server prepared statement.

## Uses of MariaDbConnection in org.mariadb.jdbc.internal.failover

Methods in org.mariadb.jdbc.internal.failover with parameters of type MariaDbConnection
Modifier and Type
Method
Description
`void`
AbstractMastersListener.`prolog(long maxRows, MariaDbConnection connection, MariaDbStatement statement)`
`void`
Listener.`prolog(long maxRows, MariaDbConnection connection, MariaDbStatement statement)`

## Uses of MariaDbConnection in org.mariadb.jdbc.internal.failover.impl

Methods in org.mariadb.jdbc.internal.failover.impl with parameters of type MariaDbConnection
Modifier and Type
Method
Description
`void`
MastersReplicasListener.`prolog(long maxRows, MariaDbConnection connection, MariaDbStatement statement)`

## Uses of MariaDbConnection in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type MariaDbConnection
Modifier and Type
Method
Description
`void`
AbstractQueryProtocol.`prolog(long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
Preparation before command.
`void`
Protocol.`prolog(long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void`
AbstractQueryProtocol.`prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`
`void`
Protocol.`prologProxy(ServerPrepareResult serverPrepareResult, long maxRows, boolean hasProxy, MariaDbConnection connection, MariaDbStatement statement)`

## Uses of MariaDbConnection in org.mariadb.jdbc.internal.util.dao

Methods in org.mariadb.jdbc.internal.util.dao with parameters of type MariaDbConnection
Modifier and Type
Method
Description
`CloneableCallableStatement`
CloneableCallableStatement.`clone(MariaDbConnection connection)`

## Uses of MariaDbConnection in org.mariadb.jdbc.internal.util.exceptions

Methods in org.mariadb.jdbc.internal.util.exceptions with parameters of type MariaDbConnection
Modifier and Type
Method
Description
`ExceptionFactory`
ExceptionFactory.`raiseStatementError(MariaDbConnection connection, Statement stmt)`
Constructors in org.mariadb.jdbc.internal.util.exceptions with parameters of type MariaDbConnection
Modifier
Constructor
Description
``
`ExceptionFactory(long threadId, Options options, MariaDbConnection connection, Statement statement)`

## Uses of MariaDbConnection in org.mariadb.jdbc.internal.util.pool

Methods in org.mariadb.jdbc.internal.util.pool that return MariaDbConnection
Modifier and Type
Method
Description
`MariaDbConnection`
Pool.`getConnection()`
Retrieve new connection.
`MariaDbConnection`
Pool.`getConnection(String username, String password)`
Get new connection from pool if user and password correspond to pool.